<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>de.ugoe.cs.autoquest</groupId>
	<artifactId>autoquest-androidmonitor</artifactId>
	<version>0.1.1-SNAPSHOT</version>
	<name>autoquest-androidmonitor</name>
	<licenses>
		<license>
			<name>The Apache Software License, Version 2.0</name>
			<url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
		</license>
	</licenses>
	<packaging>jar</packaging>
	<scm>
		<url>https://autoquest.informatik.uni-goettingen.de/svn/autoquest/trunk/${project.artifactId}</url>
		<connection>scm:svn:https://autoquest.informatik.uni-goettingen.de/svn/autoquest/trunk/${project.artifactId}</connection>
	</scm>
	<distributionManagement>
		<snapshotRepository>
			<id>autoquest-snapshots</id>
			<url>https://trex.informatik.uni-goettingen.de/nexus/content/repositories/autoquest-snapshots</url>
		</snapshotRepository>
		<repository>
			<id>autoquest</id>
			<url>https://trex.informatik.uni-goettingen.de/nexus/content/repositories/autoquest-releases</url>
		</repository>
	</distributionManagement>
	<dependencies>
		<dependency>
			<groupId>de.ugoe.cs</groupId>
			<artifactId>java-utils</artifactId>
			<version>0.1.1-SNAPSHOT</version>
		</dependency>
	</dependencies>
	<build>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>2.3.2</version>
				<configuration>
					<source>1.7</source>
					<target>1.7</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
				<configuration>
					<archive>
						<manifest>
							<addClasspath>true</addClasspath>
							<classpathPrefix>lib/</classpathPrefix>
							<mainClass>de.ugoe.cs.autoquest.androidmonitor.Runner</mainClass>
						</manifest>
					</archive>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-assembly-plugin</artifactId>
				<version>2.2-beta-2</version>
				<configuration>
					<descriptors>
						<descriptor>src/main/assembly/bin.xml</descriptor>
					</descriptors>
				</configuration>
				<executions>
					<execution>
						<id>make-assembly</id>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>